curl --request PATCH \
--url https://b.anny.co/api/v1/timeslots/{timeslot_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "12",
"type": "timeslots",
"attributes": {
"start_date": "2026-06-08T10:00:00+02:00",
"end_date": "2026-06-08T11:00:00+02:00",
"title": "Session 1",
"title_i18n": {
"en-us": "Session 1"
},
"max_dynamic_quota": 5,
"min_bookings_count": 2,
"cancellation_offset_value": 24
},
"relationships": {
"series": {
"data": [
{
"id": "3",
"type": "timeslot-series"
}
]
}
}
}
}
'import requests
url = "https://b.anny.co/api/v1/timeslots/{timeslot_id}"
payload = { "data": {
"id": "12",
"type": "timeslots",
"attributes": {
"start_date": "2026-06-08T10:00:00+02:00",
"end_date": "2026-06-08T11:00:00+02:00",
"title": "Session 1",
"title_i18n": { "en-us": "Session 1" },
"max_dynamic_quota": 5,
"min_bookings_count": 2,
"cancellation_offset_value": 24
},
"relationships": { "series": { "data": [
{
"id": "3",
"type": "timeslot-series"
}
] } }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '12',
type: 'timeslots',
attributes: {
start_date: '2026-06-08T10:00:00+02:00',
end_date: '2026-06-08T11:00:00+02:00',
title: 'Session 1',
title_i18n: {'en-us': 'Session 1'},
max_dynamic_quota: 5,
min_bookings_count: 2,
cancellation_offset_value: 24
},
relationships: {series: {data: [{id: '3', type: 'timeslot-series'}]}}
}
})
};
fetch('https://b.anny.co/api/v1/timeslots/{timeslot_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "timeslots",
"attributes": {
"title": "<string>",
"title_i18n": {},
"description": "<string>",
"description_i18n": {},
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"quota": 123,
"resource_info": [
{
"id": 123,
"name": "<string>",
"slug": "<string>",
"category_icon": "<string>",
"category_name": "<string>",
"category_slug": "<string>",
"cover_image_url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"min_bookings_count": 123,
"cancellation_offset_type": "<string>",
"cancellation_offset_value": 123,
"dynamic_capacity": true,
"base_quota": 123,
"max_dynamic_quota": 123
},
"links": {
"self": "<string>"
},
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"service": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"series": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"cover_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"resource_allocations": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"model_syncs": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
},
"meta": {
"provisioned_quota": 123,
"active_booking_count": 123,
"pending_booking_count": 123,
"total_booking_count": 123,
"available_provisioned_slots": 123,
"pending_capacity": 123,
"protected": [
"<string>"
]
}
}
}Update a timeslot
Use the reschedule query parameters when changing the period of a timeslot with existing regular bookings.
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The timeslot identifier.
Abfrageparameter
Optional included relationships to return after update.
When the timeslot period changes, move exact-period regular bookings instead of detaching them.
0, 1 Optional note used in reschedule and cancellation communication.
Whether customer resource-change or reschedule notifications should be sent.
0, 1 Whether related invoices should be locked during reschedule or cancellation flows.
0, 1 Organization ID
Body
A fixed date-time slot attached to a resource or service. Timeslots can stand alone, belong to one or more timeslot series, and optionally use dynamic capacity driven by provisioned resource allocations.
Show child attributes
Show child attributes
Antwort
OK
A fixed date-time slot attached to a resource or service. Timeslots can stand alone, belong to one or more timeslot series, and optionally use dynamic capacity driven by provisioned resource allocations.
Show child attributes
Show child attributes